<?php
/*
 * @Descripttion:
 * @version:
 * @Author: kangkang
 * @Date: 2020-10-13 19:52:37
 * @LastEditors: kangkang
 * @LastEditTime: 2020-10-29 15:12:44
 */
/*
 * @Descripttion:
 * @version:
 * @Author: kangkang
 * @Date: 2020-10-13 19:52:37
 * @LastEditors: kangkang
 * @LastEditTime: 2020-10-14 20:04:16
 */

namespace app\order\controller;

use app\order\model\IncomeCheck as CheckModel;
use fastphp\base\Controller;

class IncomeCheck extends Controller
{
    /**
     * @description: 数据列表
     * @param {*}
     * @return {*}
     */
    public function getList()
    {
        $page = 0;
        if (isset($_GET['PageIndex'])) {
            $page = ($_GET['PageIndex'] - 1) * 50;
        }

        $check_model = new CheckModel;
        $list = $check_model->getListPage([], '*', 'id desc', "$page,50");
        foreach ($list as $k => &$v) {
            $v['day_time'] = date('Y-m-d', strtotime($v['day_time']) - 86400);
        }
        $data = [
            'Code' => 10000,
            'data' => $list,
            'msg' => '',
            'count' => (int) $check_model->getCount()['count'],
        ];
        echo json_encode($data);
    }

    public function search()
    {
        $data = json_decode(file_get_contents("php://input"), true)['time'];
        $data[0] = date('Y-m-d', strtotime($data[0]) + 86400) . ' 00:00:00';
        $data[1] = date('Y-m-d', strtotime($data[1]) + 86400) . ' 23:59:59';
        $check_model = new CheckModel;
        $list = $check_model->getListSearch(['day_time' => ['>' , $data[0]]], ['day_time' => ['<' , $data[1]]], '*', 'id desc', "10000");
        foreach ($list as $k => &$v) {
            $v['day_time'] = date('Y-m-d', strtotime($v['day_time']) - 86400);
        }
        $data = [
            'Code' => 30000,
            'data' => $list,
            'msg' => '',
            'count' => 0,
        ];
        echo json_encode($data);
    }
}
